Update 2020/09/02: System Requirement of Xcode

2020/09/02: Added the Xcode 11.7.

When you develop an application which supports old OS, which version of Xcode you should use? This article list up a system requirement of Xcode.

スポンサーリンク

System Requirement of Xcode

System Requirement of Xcode 11

This list is a system requirement of Xcode 11.

Xcode Supported System Platform SDK Debug On Device
Xcode 11.7 macOS Catalina 10.15.2 or later iOS 13.7, iPadOS 13.7, tvOS 13.4, watchOS 6.2, macOS Catalina 10.15.6 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 11.6 macOS Catalina 10.15.2 or later iOS 13.6, iPadOS 13.6, tvOS 13.4, watchOS 6.2, macOS Catalina 10.15.6 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 11.5 macOS Catalina 10.15.2 or later iOS 13.5, iPadOS 13.5, tvOS 13.4, watchOS 6.2, macOS Catalina 10.15.4 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 11.4.1 macOS Catalina 10.15.2 or later iOS 13.4, iPadOS 13.4, tvOS 13.4, watchOS 6.2, macOS Catalina 10.15.4 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 11.4 macOS Catalina 10.15.2 or later iOS 13.4, iPadOS 13.4, tvOS 13.4, watchOS 6.2, macOS Catalina 10.15.4 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 11.3.1 macOS Mojave 10.14.4 or later iOS 13.3, iPadOS 13.3, tvOS 13.3, watchOS 6.1, macOS Catalina 10.15.2 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 11.3 macOS Mojave 10.14.4 or later iOS 13.3, iPadOS 13.3, tvOS 13.3, watchOS 6.1, macOS Catalina 10.15.2 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 11.2.1 macOS Mojave 10.14.4 or later iOS 13.2, tvOS 13.2, watchOS 6.1, macOS Catalina 10.15 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 11.2 macOS Mojave 10.14.4 or later iOS 13.2, tvOS 13.2, watchOS 6.1, macOS Catalina 10.15 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 11.1 macOS Mojave 10.14.4 or later iOS 13.1, tvOS 13, watchOS 6, macOS Catalina 10.15 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 11 macOS Mojave 10.14.4 or later iOS 13, tvOS 13, watchOS 6, macOS Catalina 10.15 iOS 8 or later, tvOS 9 or later, watchOS 2 or later

System Requirement of Xcode 10

This list is a system requirement of Xcode 10.

Xcode Supported System Platform SDK Debug On Device
Xcode 10.3 macOS Mojave 10.14.3 or later iOS 12.4, watchOS 5.3, tvOS 12.4, macOS Mojave 10.14.6 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 10.2.1 macOS Mojave 10.14.3 or later iOS 12.2, watchOS 5.2, tvOS 12.2, macOS Mojave 10.14.4 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 10.2 macOS Mojave 10.14.3 or later iOS 12.2, watchOS 5.2, tvOS 12.2, macOS Mojave 10.14.4 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 10.1 macOS High Sierra 10.13.6 or later iOS 12.1, watchOS 5.1, tvOS 12.1, macOS Mojave 10.14.1 iOS 8 or later, tvOS 9 or later, watchOS 2 or later
Xcode 10 macOS High Sierra 10.13.6 or later iOS 12, watchOS 5, tvOS 12, macOS Mojave 10.14 iOS 8 or later, tvOS 9 or later, watchOS 2 or later

Older Versions

If you want to know the system requirement of older version, following web site is useful:

Xcode – Wikipedia

That page says a minimum OS of each Xcode versions, we can understand which version we can use.

The Xcode on MacAppStore is latest version. Older versions can be downloaded from the developer download page.

Go to the developer download page, click the “More” link at the right top of the page. You can download older version from this page.

Few months ago, the signature of archives had been expired, so it had been unusable. New archives are uploaded now.

Changes of each versions

If you want to know the changes of each versions, see release note.

The release note is available at :

Xcode Release Note | Apple Developer Documentation

スポンサーリンク
最新情報をチェックしよう!

CheatSheetの最新記事8件

>現役のプログラマーが書くプログラミング情報

現役のプログラマーが書くプログラミング情報

日々の開発の中での学びや分かったこと、調べたことなどを書いていくブログです。

CTR IMG